good_hud = { };
 
local function clr( color ) return color.r, color.g, color.b, color.a; end


function good_hud:PaintBar( x, y, w, h, colors, value )
 
	self:PaintPanel( x, y, w, h, colors );
 
	x = x + 1; y = y + 1;
	w = w - 2; h = h - 2;
 
	local width = w * math.Clamp( value, 0, 1 );
	local shade = 4;
 
	surface.SetDrawColor( clr( colors.shade ) );
	surface.DrawRect( x, y, width, shade );
 
	surface.SetDrawColor( clr( colors.fill ) );
	surface.DrawRect( x, y + shade, width, h - shade );
 
end
 
function good_hud:PaintPanel( x, y, w, h, colors )
 
	surface.SetDrawColor( clr( colors.border ) );
	surface.DrawOutlinedRect( x, y, w, h );
 
	x = x + 1; y = y + 1;
	w = w - 2; h = h - 2;
 
	surface.SetDrawColor( clr( colors.background ) );
	surface.DrawRect( x, y, w, h );
 
end
 
function good_hud:PaintText( x, y, text, font, colors )
 
	surface.SetFont( font );
 
	surface.SetTextPos( x + 1, y + 1 );
	surface.SetTextColor( clr( colors.shadow ) );
	surface.DrawText( text );
 
	surface.SetTextPos( x, y );
	surface.SetTextColor( clr( colors.text ) );
	surface.DrawText( text );
 
end
function good_hud:TextSize( text, font )
 
	surface.SetFont( font );
	return surface.GetTextSize( text );
 
end
local vars =
{
 
	font = "TargetID",
 
	padding = 10,
	margin = 35,
	margin_a = 1165,
 
	text_spacing = 2,
	bar_spacing = 5,
 
	bar_height = 16,
 
	width = 0.25
 
};
 
local colors =
{
 
	background =
	{
 
		border = Color( 190, 255, 128, 255 ),
		background = Color( 120, 240, 0, 75 )
 
	},
	
 
	text =
	{
 
		shadow = Color( 0, 0, 0, 200 ),
		text = Color( 255, 255, 255, 255 )
 
	},
 
	health_bar =
	{
 
		border = Color( 255, 0, 0, 255 ),
		background = Color( 255, 0, 0, 75 ),
		shade = Color( 255, 104, 104, 255 ),
		fill = Color( 232, 0, 0, 255 )
 
	},
 
	suit_bar =
	{
 
		border = Color( 0, 0, 255, 255 ),
		background = Color( 0, 0, 255, 75 ),
		shade = Color( 136, 136, 255, 255 ),
		fill = Color( 0, 0, 219, 255 )
 
	}
	
};
 
local function HUDPaint( )
 
	client = client or LocalPlayer( );				-- set a shortcut to the client
	if( client:Alive( ) ) then 			-- don't draw if the client is dead
 
	local _, th = good_hud:TextSize( "TEXT", vars.font );		-- get text size( height in this case )
 
	local i = 2;							-- shortcut to how many items( bars + text ) we have
 
	local width = vars.width * ScrW( );				-- calculate width
	local bar_width = width - ( vars.padding * i );			-- calculate bar width and element height
	local height = ( vars.padding * i ) + ( th * i ) + ( vars.text_spacing * i ) + ( vars.bar_height * i ) + vars.bar_spacing;
 
	local x = vars.margin;						-- get x position of element
	local xa = vars.margin_a;						-- get x position of element
	local y = ScrH( ) - vars.margin - height;			-- get y position of element
 
	local cx = x + vars.padding;					-- get x and y of contents
	local cxa = xa + vars.padding;
	local cy = y + vars.padding;
 
	good_hud:PaintPanel( x, y, width, height, colors.background );	-- paint the background panel
 	good_hud:PaintPanel( xa, y, width, height, colors.background );	-- paint the background panel
 
	local by = th + vars.text_spacing;				-- calc text position
 
	local text = string.format( "Health: %iHP", client:Health( ) );	-- get health text
	good_hud:PaintText( cx, cy, text, vars.font, colors.text );	-- paint health text and health bar
	good_hud:PaintBar( cx, cy + by, bar_width, vars.bar_height, colors.health_bar, client:Health( ) / 100 );
 
	by = by + vars.bar_height + vars.bar_spacing;			-- increment text position
 
	local text = string.format( "Suit: %iSP", client:Armor( ) );	-- get suit text
	good_hud:PaintText( cx, cy + by, text, vars.font, colors.text );	-- paint suit text and suit bar
	good_hud:PaintBar( cx, cy + by + th + vars.text_spacing, bar_width, vars.bar_height, colors.suit_bar, client:Armor( ) / 100 );
	
	if(client:GetActiveWeapon() == NULL or client:GetActiveWeapon() == "Camera") then return end
	

	if client:GetActiveWeapon():Clip1() == -1 then
		if client:GetAmmoCount(client:GetActiveWeapon():GetPrimaryAmmoType()) == 0 then
		local text = string.format( "Ammo: None", client:GetAmmoCount(client:GetActiveWeapon():GetPrimaryAmmoType()));	
		good_hud:PaintText( cxa, cy, text, vars.font, colors.text );
		else
		local text = string.format( "Ammo: %i", client:GetAmmoCount(client:GetActiveWeapon():GetPrimaryAmmoType()));	
		good_hud:PaintText( cxa, cy, text, vars.font, colors.text );
		end
	else
	local text = string.format( "Current Clip: %i", client:GetActiveWeapon():Clip1() );	
	good_hud:PaintText( cxa, cy, text, vars.font, colors.text );
	local text = string.format( "Extra Ammo: %i", client:GetAmmoCount(client:GetActiveWeapon():GetPrimaryAmmoType()));	
	good_hud:PaintText( cxa + 128, cy, text, vars.font, colors.text );
	end
	
	local pat = client:GetActiveWeapon():GetPrimaryAmmoType()
	local sat = client:GetActiveWeapon():GetSecondaryAmmoType()
	
		if sat == 1 then
		--u
		local text = string.format( "u", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 2 then
		--z
		local text = string.format( "z", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 3 then
		--p
		local text = string.format( "p", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 4 then
		--r
		local text = string.format( "r", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 5 then
		--q
		local text = string.format( "q", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 6 then
		--w
		local text = string.format( "w", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 7 then
		--s
		local text = string.format( "s", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 8 then
		--x
		local text = string.format( "x", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 9 then
		--t
		local text = string.format( "t", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		elseif sat == 10 then
		--v
		local text = string.format( "v", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );
		else
		local text = string.format( "-", sat);
		good_hud:PaintText( cxa + 300, cy - 2, text, "TitleFont", colors.text );

		end
	--------
	
	
		if pat == 1 then
		--u
		local text = string.format( "u", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 2 then
		--z
		local text = string.format( "z", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 3 then
		--p
		local text = string.format( "p", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 4 then
		--r
		local text = string.format( "r", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 5 then
		--q
		local text = string.format( "q", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 6 then
		--w
		local text = string.format( "w", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 7 then
		--s
		local text = string.format( "s", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 8 then
		--x
		local text = string.format( "x", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 9 then
		--t
		local text = string.format( "t", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		elseif pat == 10 then
		--v
		local text = string.format( "v", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		else
		local text = string.format( "-", pat);
		good_hud:PaintText( cxa + 300, cy - th - 7, text, "TitleFont", colors.text );
		end
	--------
	-------
	if client:GetAmmoCount(client:GetActiveWeapon():GetSecondaryAmmoType()) == 0 then
	local text = string.format( "Alternet Ammo: None", client:GetAmmoCount(client:GetActiveWeapon():GetSecondaryAmmoType()) );
	good_hud:PaintText( cxa, cy + th, text, vars.font, colors.text );
	else
	local text = string.format( "Alternet Ammo: %i", client:GetAmmoCount(client:GetActiveWeapon():GetSecondaryAmmoType()) );
	good_hud:PaintText( cxa, cy + th, text, vars.font, colors.text );
	end
	
	
	else -------------------------------------------------------------------------------------------------------------------------------------------
	--DEAD!!
	end
end
hook.Add( "HUDPaint", "PaintOurHud", HUDPaint );

hook.Add("HUDPaint", "myhud", myhud)
function hidehud(name)
	for k, v in pairs{"CHudHealth", "CHudBattery", "CHudAmmo", "CHudSecondaryAmmo"} do
		if name == v then return false end
	end
end
hook.Add("HUDShouldDraw", "hidehud", hidehud)